For the complete documentation index, see llms.txt. This page is also available as Markdown.

VMs

Create VM

post

Create a new virtual machine

Authorizations
x-api-keystringRequired
Body

VM Create Request v2

vmTypeIdinteger · int32Required

Machine model type ID

regionstring · min: 1Required

Region code

Example: us-east-1
namestring · min: 1Required

VM nickname

isSpotbooleanRequired

Spot instance flag: true=spot, false=on-demand

Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

post/v2/vms
POST /v2/vms HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "vmTypeId": 261,
  "region": "ca-east-1",
  "name": "my-vm",
  "isSpot": false,
  "volumeMountPaths": {}
}
{
  "message": "success",
  "code": 10000,
  "data": {
    "id": "454580948798522256",
    "orgId": "398890716618167180",
    "name": "my-vm",
    "gpuDisplayName": null,
    "ipAddress": null,
    "domainName": null,
    "cpuCores": 124,
    "memoryInGb": "480",
    "gpuCount": 4,
    "gpuMemoryInGb": "80",
    "region": "ca-east-1",
    "storageInGb": "3300",
    "notebookUrl": null,
    "sshTemplate": null,
    "status": "INITIALIZING",
    "createdAt": "1780882943899",
    "terminatedAt": null,
    "updatedAt": "1780882943899",
    "osInfo": "Ubuntu 24.04 LTS",
    "gpuType": "A100 80G PCIe",
    "isSpot": false
  }
}

Update VM

patch

Update an existing VM (partial update)

Authorizations
x-api-keystringRequired
Path parameters
idinteger · int64RequiredExample: 0
Body

VM Update Request v2

namestring · min: 1 · max: 255Optional

VM nickname

Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

patch/v2/vms/{id}
PATCH /v2/vms/{id} HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "name": "my-updated-vm"
}
{
  "message": "success",
  "code": 10000,
  "data": {
    "id": "454580948798522256",
    "orgId": "398890716618167180",
    "name": "my-updated-vm",
    "gpuDisplayName": "4x A100 PCIe 80G",
    "ipAddress": null,
    "domainName": null,
    "cpuCores": 124,
    "memoryInGb": "480",
    "gpuCount": 4,
    "gpuMemoryInGb": "80",
    "region": "ca-east-1",
    "storageInGb": "3300",
    "notebookUrl": null,
    "sshTemplate": null,
    "status": "INITIALIZING",
    "createdAt": "1780882943899",
    "terminatedAt": null,
    "updatedAt": "1780883072659",
    "osInfo": "Ubuntu 24.04 LTS",
    "gpuType": "A100 80G PCIe",
    "isSpot": false
  }
}

Terminate VM

delete

Terminate a virtual machine

Authorizations
x-api-keystringRequired
Path parameters
idinteger · int64RequiredExample: 0
Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

databooleanOptional

data

delete/v2/vms/{id}
DELETE /v2/vms/{id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": true
}

Get VM

get

Get details of a specific virtual machine

Authorizations
x-api-keystringRequired
Path parameters
idinteger · int64RequiredExample: 0
Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

get/v2/vms/{id}
GET /v2/vms/{id} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "id": "454580948798522256",
    "orgId": "398890716618167180",
    "name": "my-vm",
    "gpuDisplayName": "4x A100 PCIe 80G",
    "ipAddress": null,
    "domainName": null,
    "cpuCores": 124,
    "memoryInGb": "480",
    "gpuCount": 4,
    "gpuMemoryInGb": "80",
    "region": "ca-east-1",
    "storageInGb": "3300",
    "notebookUrl": null,
    "sshTemplate": null,
    "status": "INITIALIZING",
    "createdAt": "1780882943899",
    "terminatedAt": null,
    "updatedAt": "1780882943899",
    "osInfo": "Ubuntu 24.04 LTS",
    "gpuType": "A100 80G PCIe",
    "isSpot": false
  }
}

List VMs

get

Get all VMs for your organization with pagination

Authorizations
x-api-keystringRequired
Query parameters
pageinteger · int64Optional

Page number (1-based)

Default: 1Example: 1
sizeinteger · int64Optional

Page size

Default: 10Example: 10
statusstringOptional

Filter by status

Example: RUNNING
Responses
200

Success, returns paginated list of VMs

*/*
messagestringOptional

message

codeinteger · int32Optional

code

get/v2/vms
GET /v2/vms HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": {
    "items": [
      {
        "id": "454580948798522256",
        "orgId": "398890716618167180",
        "name": "my-updated-vm",
        "gpuDisplayName": "4x A100 PCIe 80G",
        "ipAddress": "38.128.233.73",
        "domainName": "instance-2063799421207842816.yottadeos.com",
        "cpuCores": 124,
        "memoryInGb": "480",
        "gpuCount": 4,
        "gpuMemoryInGb": "80",
        "region": "ca-east-1",
        "storageInGb": "3300",
        "notebookUrl": "http://instance-2063799421207842816.yottadeos.com:8888/lab?token=7e8479ed-db27-4db0-b57e-4274ad3b8e4f",
        "sshTemplate": "ssh [email protected] -i <private key file>.pem",
        "status": "RUNNING",
        "createdAt": "1780882943899",
        "terminatedAt": null,
        "updatedAt": "1780883250010",
        "osInfo": "Ubuntu 24.04 LTS",
        "gpuType": "A100 80G PCIe",
        "isSpot": false
      }
    ],
    "page": "1",
    "size": "10",
    "total": "1",
    "pages": "1"
  }
}

Get VM Types

get

Get all available VM types (GPU models) and their regional availability

Authorizations
x-api-keystringRequired
Responses
200

Success, returns list of GPU types with regional availability

*/*
messagestringOptional

message

codeinteger · int32Optional

code

get/v2/vms/types
GET /v2/vms/types HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": [
    {
      "gpuType": "MI300X",
      "regions": [
        {
          "region": "us-central-8",
          "types": [
            {
              "vmTypeId": 241,
              "gpuCount": 8,
              "pricePerHour": "47.88",
              "supportSpot": true,
              "spotPricePerHour": "34.4736",
              "currency": "USD",
              "displayName": "8x MI300X",
              "cpuCores": 128,
              "memoryInGb": "2048",
              "gpuMemoryInGb": "192",
              "gpuTotalMemoryInGb": "1536",
              "storageType": "ssd",
              "storageCapacityInGb": "3576",
              "osName": "Ubuntu",
              "osVersion": "22.04 LTS",
              "supportOnDemand": false,
              "ondemandAvailable": false,
              "spotAvailable": false
            }
          ]
        }
      ]
    }
  ]
}

Last updated

Was this helpful?